post/v1/search/listings
Plain filtered/keyword listing search, no compatibility scoring (compatibility scoring lives in Matching). query does a case-insensitive contains match across title, brand, subcategory, and model; minTradeValue/maxTradeValue filter on the computed TradeValue = OriginalPrice + RequestedAmount - WillingToPay.
Request body
| Field | Type | Required |
|---|
| query | string | — |
| category | string | — |
| subcategory | string | — |
| brand | string | — |
| condition | string | — |
| currency | string | — |
| merchantId | string (uuid) | — |
| visibility | PRIVATE | GLOBAL | BOTH | ENTERPRISE | — |
| minTradeValue | number | — |
| maxTradeValue | number | — |
| cursor | string | — |
| limit | integer | — |
Response (200)
| Field | Type | Required |
|---|
| data | object[] | — |
| nextCursor | stringnull | — |
| total | integer | — |